--------------------------------------------------------------------
--
-- tash.adb -- Tcl Ada SHell.  This program is the Ada version of the
--             tclsh program included in the Tcl distribution.
--
-- Copyright (c) 1995-1996 Terry J. Westley
--
-- See the file "license_terms.html" for information on usage and
-- redistribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.
--
--------------------------------------------------------------------

with CArgv;
with TashApp;
with Tcl; use Tcl;

procedure Tash is -- Tcl Ada SHell

   -- Argc and Argv include the command name
   Argc : C.Int;
   Argv : CArgv.Chars_Ptr_Ptr;

begin -- Tash

   -- Get command-line arguments and put them into C-style "argv,"
   -- as required by Tcl_Main.
   CArgv.Create (Argc, Argv);

   -- Start Tcl (and never return!)
   Tcl_Main (Argc, Argv, TashApp.Init'access);

end Tash;
